Public Class Form1
    Dim prima_rulare As Integer = 0
    Dim aleator As Integer
    Dim zile_sapt(,) As String = {{"luni"}, {"marti"}, {"miercuri"}, {"joi"}, {"vineri"}, {"sambata"}, {"duminica"}}
    Dim zile_mesaj(,) As String = {{"Prima zi a saptamanii"}, {"A doua zi a saptamanii"}, {"Mijlocul saptamanii lucratoare"}, {"A patra zi a saptamanii"}, {"Ultima zi lucratoare inainte de weekend"}, {"Incepe weekendul"}, {"Zi libera"}}
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If (prima_rulare <> 0) Then
            zile_mesaj(aleator - 1, 0) = TextBox1.Text
        End If
        Randomize()
        aleator = CInt(Int((7 - 1 + 1) * Rnd() + 1))
        Label1.Text = Str(aleator)
        Label2.Text = zile_sapt(aleator - 1, 0)
        TextBox1.Text = zile_mesaj(aleator - 1, 0)
        prima_rulare += 1
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Me.Close()
    End Sub
End Class
